[BACK]Return to update_openbsd CVS log [TXT][DIR] Up to [local] / openbsd / update_openbsd

Diff for /openbsd/update_openbsd/update_openbsd between version 1.39 and 1.46

version 1.39, 2012/12/08 19:52:08 version 1.46, 2012/12/16 03:29:02
Line 1 
Line 1 
 #!/bin/sh  #!/bin/sh
 # $AFresh1: update_openbsd,v 1.38 2012/04/19 04:03:47 andrew Exp $  # $AFresh1: update_openbsd,v 1.45 2012/12/16 01:56:46 andrew Exp $
   #
   # Copyright (c) 2012 Andrew Fresh <andrew@afresh1.com>
   #
   # Permission to use, copy, modify, and distribute this software for any
   # purpose with or without fee is hereby granted, provided that the above
   # copyright notice and this permission notice appear in all copies.
   #
   # THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
   # WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
   # MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
   # ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
   # WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
   # ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
   # OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
   #
   
 installed_sets() {  installed_sets() {
     local misc=/usr/share/doc/README      local misc=/usr/share/doc/README
Line 160 
Line 175 
         [ -e /boot.conf ] && sed -E '/^ *(set +image|boot) +/!d ; \          [ -e /boot.conf ] && sed -E '/^ *(set +image|boot) +/!d ; \
             s///; s/^.*://; s/ .*$//' /boot.conf \              s///; s/^.*://; s/ .*$//' /boot.conf \
     ) | tail -1`      ) | tail -1`
       BOOT_KERNEL=`follow_symlink /$BOOT_KERNEL`
     BOOT_KERNEL="/${BOOT_KERNEL#/}"      BOOT_KERNEL="/${BOOT_KERNEL#/}"
     BOOT_KERNEL=`follow_symlink $BOOT_KERNEL`  
   
     BOOT_KERNEL_VERSION=`kernel_file_version $BOOT_KERNEL`      BOOT_KERNEL_VERSION=`kernel_file_version $BOOT_KERNEL`
   
Line 196 
Line 211 
     local _v=$FILE_VER      local _v=$FILE_VER
   
     for _b in $INSTALL_KERNELS; do      for _b in $INSTALL_KERNELS; do
         if [ -e /${_b} -a ! -e ./${_b} ]; then          if [ ! -e ./${_b} ]; then
             echo $FTP_CMD ${FTP}/${_b}              echo $FTP_CMD ${FTP}/${_b}
             $FTP_CMD ${FTP}/${_b}              $FTP_CMD ${FTP}/${_b}
         fi          fi
Line 216 
Line 231 
   
     local _type      local _type
     for _type in $CHECKSUM_TYPES; do      for _type in $CHECKSUM_TYPES; do
         if [ ! -e $_type ]; then          [ -e $_type ] && break
             echo $FTP_CMD ${FTP}/$_type          echo $FTP_CMD ${FTP}/$_type
             $FTP_CMD ${FTP}/$_type          $FTP_CMD ${FTP}/$_type
         fi  
     done      done
 }  }
   
Line 315 
Line 329 
         exit 1          exit 1
     fi      fi
   
     echo "Backing up $BOOT_KERNEL to /obsd"      if [ X"$BOOT_KERNEL_VERSION" != X"$NEW_KERNEL_VERSION" ]; then
     $SUDO ln -f $BOOT_KERNEL /obsd          echo "Backing up $BOOT_KERNEL to /obsd"
     if [ $? -ne 0 ]; then          $SUDO ln -f $BOOT_KERNEL /obsd
         echo "Error copying old kernel!" >&2          if [ $? -ne 0 ]; then
         exit 1              echo "Error copying old kernel!" >&2
               exit 1
           fi
     fi      fi
   
     cd $RELEASEDIR      cd $RELEASEDIR
Line 542 
Line 558 
     read _temp      read _temp
 fi  fi
   
 if [ X"" != X"$SUDO" ]; then  if [ -n "$SUDO" -a $CUR_VER != $NEW_VER ]; then
     echo Please enter your sudo password if prompted.      echo >&2
     echo You may be asked for it again later in the process.      echo "!!! You are upgrading between OpenBSD versions.     !!!" >&2
     $SUDO -v      echo "!!! You should make sure you have a root shell open !!!" >&2
       echo "!!! It is needed in order to run /sbin/oreboot.     !!!" >&2
       echo "!!! sudo MAY NOT WORK after sets are extracted.     !!!" >&2
       echo >&2
       echo "ctrl+C to cancel, enter to continue" >&2
       local _temp
       read _temp
   fi
   
   if [ -n "$SUDO" ]; then
       echo
       echo You may be asked for your sudo password multiple times.
       $SUDO -v -p "sudo Password: "
 fi  fi
   
 install_kernels  install_kernels

Legend:
Removed from v.1.39  
changed lines
  Added in v.1.46

FreeBSD-CVSweb <freebsd-cvsweb@FreeBSD.org>